Package org.snpeff.overlap

# Class Overlap<S extends BinarySequence>

java.lang.Object
org.snpeff.overlap.Overlap<S>

Direct Known Subclasses:
  `OverlapDnaSeq`

public abstract class Overlap<S extends BinarySequence> extends Object
Calculates the best overlap between two sequences Note: An overlap is a simple 'alignment' which can only contain gaps at the beginning or at the end of the sequences.

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`Overlap()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBestOffset()`
`int`
`getBestScore()`
`abstract int`
`overlap(S seq1, S seq2)`
Calculate the best overlap between two sequences

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Overlap

public Overlap()

## Method Details

### getBestOffset

public int getBestOffset()

### getBestScore

public int getBestScore()

### overlap

public abstract int overlap(S seq1, S seq2)
Calculate the best overlap between two sequences

Parameters:
  `seq1` -
  `seq1` -
Returns: